%global provider	github
%global provider_tld	com
%global project		kubernetes
%global repo		contrib
# https://github.com/kubernetes/contrib
%global provider_prefix	%{provider}.%{provider_tld}/%{project}/%{repo}
%global commit		d65ebd50364ad56c8c1fa8359e9a70fee4d410b6
%global shortcommit	%(c=%{commit}; echo ${c:0:7})

Name:		kubernetes-ansible
Version:	0.6.0
Release:	0.1.git%{shortcommit}%{?dist}
Summary:	Playbook and set of roles for seting up a Kubernetes cluster onto machines
License:	ASL 2.0
URL:		https://%{provider_prefix}
Source0:	https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:	noarch

Requires:       ansible

%description
%{summary}

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -m 755 -d %{buildroot}%{_datadir}/%{name}
pushd ansible
cp -rp group_vars %{buildroot}%{_datadir}/%{name}/
cp -rp roles %{buildroot}%{_datadir}/%{name}/
cp -p cluster.yml setup.sh %{buildroot}%{_datadir}/%{name}/
popd

%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc ansible/README.md
%{_datadir}/%{name}/group_vars
%{_datadir}/%{name}/roles
%{_datadir}/%{name}/cluster.yml
%{_datadir}/%{name}/setup.sh
%dir %{_datadir}/%{name}

%changelog
* Tue May 31 2016 jchaloup <jchaloup@redhat.com> - 0.6.0-0.1.gitd65ebd5
- Package kubernetes/contrib/ansible
  resolves: #1341310
